﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;

/// <summary>
/// Summary description for Class1
/// </summary>
public static class WebDataGridUtilitarios
{

    public static EditingColumnSetting CrearConfiguracionColumnaEdicion(string llaveColumna, bool esSoloLectura)
    {
        EditingColumnSetting configuracion = new EditingColumnSetting();
        configuracion.ColumnKey = llaveColumna;
        configuracion.ReadOnly = esSoloLectura;

        return configuracion;
    }

    public static BoundDataField CrearColumna(string nombre, string encabezado, bool oculta, int ancho, int posicion, string cssClass)
    {
        BoundDataField columna = new BoundDataField();
        columna.Key = nombre;
        columna.DataFieldName = nombre;
        columna.Header.Text = encabezado;
        columna.Hidden = oculta;
        columna.Width = Unit.Pixel(ancho);
        columna.VisibleIndex = posicion;
        columna.CssClass = cssClass;
        return columna;
    }
}